<form name="frmListaProdutos" id="frmListaProdutos" action="#" method="post" class="form-busca">
	<table border="0" class="tabela-conteudo" cellspacing="10">
		<tbody>
			<tr>
				<td colspan="2" class="titulos-internos">Buscar links úteis</td>
			</tr>
			<tr><td colspan="2">&nbsp;</td></tr>
			<tr class='linha-topo'>
				<th align='left'>Categoria:</th>
			</tr>
			<tr>
				<th align='left'>
					<select name='categoria' id='categoria'>
						<option value='' selected="selected">Selecione...</option>
						<?php
							$sql = $db->prepare("SELECT id,titulo FROM links_categorias WHERE statusCategoria <> 0");
							$sql->execute();
							$categorias = $sql->fetchAll(PDO::FETCH_ASSOC);

							foreach ($categorias as $categoria) {
						?>
							<option value='<?php echo $categoria['id']; ?>'><?php echo $categoria['titulo']; ?></option>
						<?php } ?>
					</select>
				</th>
			</tr>
			<tr>
				<th align='left'>
					Buscar: <input type='text' name='busca' id='busca' size='80' maxlength='80' autofocus>
				</th>
			</tr>
			<tr>
				<th align='center'>
					<input type='button' value='Buscar' name='btnBuscar' id='btnBuscar'>
					<input type='button' value='Limpar' name='btnLimpar' id='btnLimpar'>
				</th>
			</tr>
			<tr><td colspan="4">&nbsp;</td></tr>
		</tbody>
	</table>
</form>

<div id="divResultado" name="divResultado"></div>

<script type="text/javascript">
	jQuery(document).ready(function() {

		$('#divResultado').hide();

		var dadosFormulario = $('#frmListaProdutos').serialize();
		$.ajax({
			url: 'controladores/links/busca-produto.php',
			type: 'GET',
			data: dadosFormulario,
			success: function(data){
				$('#divResultado').html(data);
				$('#divResultado').slideDown(400);
			}
		});

		$('#btnBuscar').click(function(){

			$('#divResultado').slideUp(250);

			var dadosFormulario = $('#frmListaProdutos').serialize();
			$.ajax({
				url: 'controladores/links/busca-produto.php',
				type: 'GET',
				data: dadosFormulario,
				success: function(data){
					$('#divResultado').html(data);
					$('#divResultado').slideDown(400);
				}
			});
		});

		$('#categoria').change(function(){

			$('#divResultado').slideUp(250);

			var dadosFormulario = $('#frmListaProdutos').serialize();
			$.ajax({
				url: 'controladores/links/busca-produto.php',
				type: 'GET',
				data: dadosFormulario,
				success: function(data){
					$('#divResultado').html(data);
					$('#divResultado').slideDown(400);
				}
			});
		});

		$("#busca").keypress(function(event) {
			if (event.which == 13) {
				event.preventDefault();
				$('#divResultado').slideUp(250);
				var dadosFormulario = $('#frmListaProdutos').serialize();
				$.ajax({
					url: 'controladores/links/busca-produto.php',
					type: 'GET',
					data: dadosFormulario,
					success: function(data){
						$('#divResultado').html(data);
						$('#divResultado').slideDown(400);
					}
				});
			}
		});

	});
</script>